# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "loro"
version = "1.5.0"
authors = [
    "Zixuan Chen",
    "Liang Zhao",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Loro is a high-performance CRDTs framework. Make your app collaborative efforlessly."
homepage = "https://loro.dev"
documentation = "https://docs.rs/loro/"
readme = "README.md"
keywords = [
    "crdt",
    "local-first",
]
categories = []
license = "MIT"
repository = "https://github.com/loro-dev/loro/"

[features]
counter = ["loro-internal/counter"]
jsonpath = ["loro-internal/jsonpath"]

[lib]
name = "loro"
path = "src/lib.rs"

[[test]]
name = "change_store_test"
path = "tests/change_store_test.rs"

[[test]]
name = "commit_message_test"
path = "tests/commit_message_test.rs"

[[test]]
name = "issue"
path = "tests/issue.rs"

[[test]]
name = "loro_rust_test"
path = "tests/loro_rust_test.rs"

[[test]]
name = "mov"
path = "tests/mov.rs"

[[test]]
name = "multi_thread_test"
path = "tests/multi_thread_test.rs"

[[test]]
name = "readme"
path = "tests/readme.rs"

[dependencies.delta]
version = "1.5.0"
package = "loro-delta"

[dependencies.enum-as-inner]
version = "0.6.0"

[dependencies.fxhash]
version = "0.2.1"

[dependencies.generic-btree]
version = "^0.10.5"

[dependencies.loro-common]
version = "1.4.6"
features = ["serde_json"]

[dependencies.loro-internal]
version = "1.5.0"

[dependencies.loro-kv-store]
version = "1.4.6"

[dependencies.tracing]
version = "0.1"

[dev-dependencies.anyhow]
version = "1.0.83"

[dev-dependencies.ctor]
version = "0.2"

[dev-dependencies.loom]
version = "0.7"

[dev-dependencies.pretty_assertions]
version = "1.4.0"

[dev-dependencies.rand]
version = "0.8.5"

[dev-dependencies.serde_json]
version = "1.0.87"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = ["cfg(loom)"]
